Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Josh Triplett <[email-masked]>
Date: Wed, 4 Jan 2012 16:57:52 -0800

On Thu, Jan 05, 2012 at 01:01:51AM +0100, Kay Sievers wrote:
> On Thu, Jan 5, 2012 at 00:48, Stephen Rothwell <[email-masked]> wrote:
> 
> > Kay, Greg, any hints would be nice.  The tip tree commit is adding this:
> >
> > bool cpu_is_hotpluggable(unsigned cpu)
> > {
> >        struct sys_device *dev = get_cpu_sysdev(cpu);
> >        return dev && container_of(dev, struct cpu, sysdev)->hotpluggable;
> > }
> >
> > and, of course, all the sys_device stuff has now gone ...
> >
> > So is this correct?
> >
> > bool cpu_is_hotpluggable(unsigned cpu)
> > {
> >        struct device *dev = get_cpu_device(cpu);
> >        return dev && container_of(dev, struct cpu, dev)->hotpluggable;
> > }
> 
> Yes, that look like the right pattern.
> 
> Stephen, thanks a lot for your help here, it's very much appreciated.

Definitely, thanks for fixing up cpu_is_hotpluggable for this change.

- Josh Triplett